DataEssenceDescriptorImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model.impl

## Class DataEssenceDescriptorImpl

- java.lang.Object
- - tv.amwa.maj.model.impl.InterchangeObjectImpl
  - - tv.amwa.maj.model.impl.EssenceDescriptorImpl
    - - tv.amwa.maj.model.impl.AAFFileDescriptorImpl
      - - tv.amwa.maj.model.impl.DataEssenceDescriptorImpl

- All Implemented Interfaces:
    Serializable, Cloneable, QAAFFileDescriptor, MediaEntity, MetadataObject, XMLSerializable, AAFFileDescriptor, DataEssenceDescriptor, EssenceDescriptor, InterchangeObject
  Direct Known Subclasses:
    ANCDataDescriptorImpl, VBIDataDescriptorImpl

      @MediaClass(uuid1=218169601,
                  uuid2=257,
                  uuid3=17152,
                  uuid4={6,14,43,52,2,6,1,1},
                  definedName="DataEssenceDescriptor",
                  description="Specifies that a file source package is associated with data essence.",
                  symbol="DataEssenceDescriptor")
      public class DataEssenceDescriptorImpl
      extends AAFFileDescriptorImpl
      implements DataEssenceDescriptor, Serializable, XMLSerializable, Cloneable

  Implements the description of a file of data essence and identifies the data coding of that essence. Data essence includes that specified in MXF mappings for MPEG (SMPTE 381M), DV (SMPTE 383M), D10 and D11 (SMPTE 386M). Data essence often refers to time-varying data, such as subtitles (closed captions).

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `ObjectClassPropertyID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataEssenceDescriptorImpl()`
    `DataEssenceDescriptorImpl(ContainerDefinition containerFormat)` Creates and initializes a new data essence descriptor, which specifies that a `file source package` is associated with data essence.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataEssenceDescriptor` | `clone()` Create a cloned copy of this interchange object.
    `AUID` | `getDataEssenceCoding()` Returns the data essence coding property of this data essence descriptor.
    `String` | `getDataEssenceCodingString()`
    `void` | `setDataEssenceCoding(AUID dataEssenceCoding)` Sets the data essence coding property of this data essence descriptor.
    `void` | `setDataEssenceCodingString(String dataEssenceCoding)`

    - ### Methods inherited from class tv.amwa.maj.model.impl.AAFFileDescriptorImpl

      `describesStaticEssence, getCodec, getContainerFormat, getEssenceLength, getLinkedTrackID, getSampleRate, getSampleRateString, getTwentyFourBitAudio, initializeEssenceLength, initializeSampleRate, setCodec, setContainerFormat, setDescribesStaticEssence, setDescribesTimeVaryingEssence, setEssenceLength, setEssenceLengthFromStream, setLinkedTrackID, setSampleRate, setSampleRateFromStream, setSampleRateString, setTwentyFourBitAudio`

    - ### Methods inherited from class tv.amwa.maj.model.impl.EssenceDescriptorImpl

      `appendLocator, appendSubDescriptor, clearLocators, clearSubDescriptors, countLocators, countSubDescriptors, getComment, getLocatorAt, getLocators, getSubDescriptorAt, getSubDescriptors, insertLocatorAt, insertSubDescriptorAt, prependLocator, prependSubDescriptor, removeLocatorAt, removeSubDescriptorAt`

    - ### Methods inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `addApplicationPlugin, appendXMLChildren, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getLinkedGenerationIDString, getObjectClass, getPersistentID, getPersistentIndex, hashCode, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setLinkedGenerationIDString, setObjectClass, setPersistentID, setPersistentIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.model.AAFFileDescriptor

      `getCodec, getContainerFormat, getEssenceLength, getLinkedTrackID, getSampleRate, setCodec, setContainerFormat, setEssenceLength, setLinkedTrackID, setSampleRate`

    - ### Methods inherited from interface tv.amwa.maj.model.EssenceDescriptor

      `appendLocator, appendSubDescriptor, clearLocators, countLocators, countSubDescriptors, getLocatorAt, getLocators, getSubDescriptorAt, getSubDescriptors, insertLocatorAt, insertSubDescriptorAt, prependLocator, prependSubDescriptor, removeLocatorAt, removeSubDescriptorAt`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

    - ### Methods inherited from interface tv.amwa.maj.io.xml.XMLSerializable

      `appendXMLChildren, getComment`

- - ### Constructor Detail

    - #### DataEssenceDescriptorImpl

          public DataEssenceDescriptorImpl()

    - #### DataEssenceDescriptorImpl

          public DataEssenceDescriptorImpl(ContainerDefinition containerFormat)
                                    throws NullPointerException

      Creates and initializes a new data essence descriptor, which specifies that a `file source package` is associated with data essence.

      Parameters:
        `containerFormat` - Container format of the associated data essence.
      Throws:
        `NullPointerException` - The container format argument is `null`.

  - ### Method Detail

    - #### getDataEssenceCoding

          @MediaProperty(uuid1=67306242,
                         uuid2=0,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,3},
                         definedName="DataEssenceCoding",
                         typeName="AUID",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=15873,
                         symbol="DataEssenceCoding")
          public AUID getDataEssenceCoding()
                                                                                                                                                                                                                                                                                                                                                                                        throws PropertyNotPresentException

      Description copied from interface: `DataEssenceDescriptor`

      Returns the data essence coding property of this data essence descriptor.

      Specified by:
        `getDataEssenceCoding` in interface `DataEssenceDescriptor`
      Returns:
        Data essence coding property of this data essence descriptor.
      Throws:
        `PropertyNotPresentException` - The optional data essence coding property is not present in this data essence descriptor.

    - #### setDataEssenceCoding

          @MediaPropertySetter(value="DataEssenceCoding")
          public void setDataEssenceCoding(AUID dataEssenceCoding)

      Description copied from interface: `DataEssenceDescriptor`

      Sets the data essence coding property of this data essence descriptor. Setting this optional property to `null` omits the property.

      Specified by:
        `setDataEssenceCoding` in interface `DataEssenceDescriptor`
      Parameters:
        `dataEssenceCoding` - Data essence coding property of this data essence descriptor.

    - #### clone

          public DataEssenceDescriptor clone()

      Description copied from interface: `InterchangeObject`

      Create a cloned copy of this interchange object.

      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `AAFFileDescriptor`
      Specified by:
        `clone` in interface `DataEssenceDescriptor`
      Specified by:
        `clone` in interface `EssenceDescriptor`
      Specified by:
        `clone` in interface `InterchangeObject`
      Overrides:
        `clone` in class `AAFFileDescriptorImpl`
      Returns:
        Cloned copy of this interchange object.

    - #### getDataEssenceCodingString

          public String getDataEssenceCodingString()

    - #### setDataEssenceCodingString

          public void setDataEssenceCodingString(String dataEssenceCoding)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.